(use-modules (gnu)
             (metznet system base-system)
             (gnu packages vim)
             (gnu packages version-control)
             (gnu packages shells))

(operating-system
  (inherit %metznet-base-desktop-system)
  (host-name "otto")
  (bootloader (bootloader-configuration
                (bootloader grub-minimal-bootloader)
                (targets '("/dev/nvme0n1"))))
  (swap-devices (list (swap-space
                        (target (file-system-label "otto-swap")))))
  (file-systems (cons (file-system
                        (device (file-system-label "otto-data"))
                        (mount-point "/")
                        (type "ext4")) %base-file-systems))
  (sudoers-file (plain-file "sudoers"
                            (string-join (list
                                          "root ALL=(ALL:ALL) NOPASSWD:ALL"
                                          "%admin ALL=(ALL:ALL) ALL"
                                          "") "\n")))

  (packages (cons* git neovim %metznet-desktop-packages)))
